function save_fr16_init(fr16_vector, out_file)
%function save_fr16_init(fr16_vector, out_file)
%
%	The save_****_init routines expect a column vector of fixed-point data.  The 
%	output file will contain comma-delimited 0x-prefixed hex numbers (except for 
%	the last element which lacks the trailing comma).  This format is accepted 
%	by the preprocessor for including data to initialize buffers. 
%
%Notation:
%fr16 corresponds to 16-bit fixed-point data
%fr32 corresponds to 32-bit fixed-point data
	
fout = fopen(out_file, 'w');

N = length(fr16_vector);
     
for i = 1:(N-1),
   if fr16_vector(i) == 0
   	fprintf(fout,'0X0000,\r\n');
   else
      fprintf(fout,'%#06hx,\r\n', fr16_vector(i));
   end

end
   if fr16_vector(N) == 0
   	fprintf(fout,'0X0000\r\n');
   else
      fprintf(fout,'%#06hx\r\n', fr16_vector(N));
   end
   
   
%the segment prints the data in integer format
%for i = 1:(length(fr16_vector)-1),
%	fprintf(fout, '%d,\n', fr16_vector(i));
%end
%	fprintf(fout, '%d\n', fr16_vector(length(fr16_vector)));
	
fclose(fout);